Subject: fmt and multi-byte encodings

From: Ineiev <[email-masked]>
Date: Thu, 11 Nov 2010 13:32:43 +0400

Hello;

Today I fed a text in Russian in UTF-8 to fmt
and discovered that the utility counts the line width
in bytes rather than in characters (the lines written in
Cyrillics were roughly twice as short as the lines
written in Latin script), which was not what I wanted.
I checked fmt from coreutils-8.6.

As a workaround, I could iconv the text into a single-byte
encoding like KOI8-R, but I would limit the character
set then.

I've never used fmt before personally, so actually I'm not
sure whether it was a bug or I did something wrong.

Any hints?